<?xml version="1.0" encoding="utf-8"?>
<androidx.coordinatorlayout.widget.CoordinatorLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:orientation="vertical"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    app:layout_behavior="@string/appbar_scrolling_view_behavior"
    tools:showIn="@layout/activity_main">

    <LinearLayout
        android:orientation="vertical"
        android:layout_marginTop="?android:actionBarSize"
        android:layout_width="match_parent"
        android:elevation="10dp"
        android:layout_height="wrap_content">
        <androidx.cardview.widget.CardView
            android:id="@+id/idCardView"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="5dp"
            android:layout_marginTop="5dp"
            app:cardCornerRadius="4dp">
            <LinearLayout
                android:id="@+id/ll"
                android:orientation="vertical"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <fragment android:id="@+id/autocomplete_fragment"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:name="com.google.android.libraries.places.widget.AutocompleteSupportFragment"
                    />
                <fragment android:id="@+id/autocomplete_fragment2"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:name="com.google.android.libraries.places.widget.AutocompleteSupportFragment"
                    />
            </LinearLayout>
        </androidx.cardview.widget.CardView>
        <androidx.cardview.widget.CardView

            android:id="@+id/idCardView2"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="5dp"
            android:layout_marginTop="8dp"
            app:cardCornerRadius="4dp">
            <!--            <fragment android:id="@+id/autocomplete_fragment2"-->
            <!--                android:layout_width="match_parent"-->
            <!--                android:layout_height="wrap_content"-->
            <!--                android:name="com.google.android.libraries.places.widget.AutocompleteSupportFragment"-->
            <!--                />-->
        </androidx.cardview.widget.CardView>

        <RelativeLayout
            android:visibility="gone"


            android:layout_width="match_parent"
            android:layout_height="70dp"
            android:layout_marginRight="10dp"
            android:layout_marginLeft="10dp"
            android:elevation="10dp"
            android:layout_marginBottom="10dp"
            android:id="@+id/relLayout2">
            <androidx.cardview.widget.CardView
                android:id="@+id/cc2"
                android:layout_width="match_parent"
                app:cardElevation="8dp"
                android:layout_margin="5dp"
                app:cardBackgroundColor="@color/white"
                app:cardCornerRadius="20dp"
                android:layout_centerHorizontal="true"
                android:layout_height="fill_parent">
                <LinearLayout

                    android:layout_marginLeft="15dp"
                    android:layout_marginRight="15dp"
                    android:orientation="horizontal"
                    android:layout_gravity="center"
                    android:layout_width="match_parent"
                    android:layout_height="fill_parent">

                    <AutoCompleteTextView
                        android:background="@null"
                        android:maxLines="1"
                        android:layout_gravity="center"
                        android:layout_weight="1"
                        android:dropDownAnchor="@id/cc"
                        android:dropDownVerticalOffset="3dp"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:textSize="15sp"
                        android:inputType="text"
                        android:id="@+id/input_search2"
                        android:hint="From"
                        android:imeOptions="actionSearch"/>
                    <RelativeLayout
                        android:layout_gravity="center"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content">
                        <androidx.cardview.widget.CardView
                            android:layout_width="36dp"
                            android:layout_marginLeft="5dp"
                            app:cardCornerRadius="18dp"
                            app:cardElevation="0dp"
                            android:id="@+id/search2"
                            android:clickable="true"

                            android:layout_gravity="center"
                            android:layout_height="36dp">

                            <ImageView
                                android:layout_width="20dp"
                                android:layout_height="20dp"
                                android:layout_centerVertical="true"
                                android:layout_gravity="center"
                                android:tint="@color/black" />
                        </androidx.cardview.widget.CardView>
                        <androidx.cardview.widget.CardView
                            android:layout_width="36dp"
                            android:visibility="gone"
                            android:layout_marginLeft="5dp"
                            app:cardCornerRadius="18dp"
                            app:cardElevation="0dp"
                            android:id="@+id/clear2"
                            android:clickable="true"

                            android:layout_gravity="center"
                            android:layout_height="36dp">
                            <ImageView
                                android:tint="@color/colorAccent"
                                android:layout_gravity="center"
                                android:src="@drawable/clear"
                                android:layout_width="25dp"
                                android:layout_height="25dp"
                                android:layout_centerVertical="true"
                                />
                        </androidx.cardview.widget.CardView>
                    </RelativeLayout>
                </LinearLayout>
            </androidx.cardview.widget.CardView>


        </RelativeLayout>
        <RelativeLayout
            android:visibility="gone"


            android:layout_width="match_parent"
            android:layout_height="70dp"
            android:layout_marginRight="10dp"
            android:layout_marginLeft="10dp"
            android:id="@+id/relLayout1">
            <androidx.cardview.widget.CardView
                android:id="@+id/cc"
                android:layout_width="match_parent"
                app:cardElevation="8dp"
                android:layout_margin="5dp"
                app:cardBackgroundColor="@color/white"
                app:cardCornerRadius="20dp"
                android:layout_centerHorizontal="true"
                android:layout_height="fill_parent">
                <LinearLayout

                    android:layout_marginLeft="15dp"
                    android:layout_marginRight="15dp"
                    android:orientation="horizontal"
                    android:layout_gravity="center"
                    android:layout_width="match_parent"
                    android:layout_height="fill_parent">

                    <AutoCompleteTextView
                        android:background="@null"
                        android:maxLines="1"
                        android:layout_gravity="center"
                        android:layout_weight="1"
                        android:dropDownAnchor="@id/cc"
                        android:dropDownVerticalOffset="3dp"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:textSize="15sp"
                        android:inputType="text"
                        android:id="@+id/input_search"
                        android:hint="To"
                        android:imeOptions="actionSearch"/>
                    <RelativeLayout
                        android:layout_gravity="center"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content">
                        <androidx.cardview.widget.CardView
                            android:layout_width="36dp"
                            android:layout_marginLeft="5dp"
                            app:cardCornerRadius="18dp"
                            app:cardElevation="0dp"
                            android:id="@+id/search"
                            android:clickable="true"

                            android:layout_gravity="center"
                            android:layout_height="36dp">

                            <ImageView
                                android:layout_width="11dp"
                                android:layout_height="4dp"
                                android:layout_centerVertical="true"
                                android:layout_gravity="center"
                                android:tint="@color/black" />
                        </androidx.cardview.widget.CardView>
                        <androidx.cardview.widget.CardView
                            android:layout_width="36dp"
                            android:visibility="gone"
                            android:layout_marginLeft="5dp"
                            app:cardCornerRadius="18dp"
                            app:cardElevation="0dp"
                            android:id="@+id/clear"
                            android:clickable="true"

                            android:layout_gravity="center"
                            android:layout_height="36dp">
                            <ImageView
                                android:tint="@color/colorAccent"
                                android:layout_gravity="center"
                                android:src="@drawable/clear"
                                android:layout_width="25dp"
                                android:layout_height="25dp"
                                android:layout_centerVertical="true"
                                />
                        </androidx.cardview.widget.CardView>
                    </RelativeLayout>
                </LinearLayout>
            </androidx.cardview.widget.CardView>


        </RelativeLayout>
    </LinearLayout>



    <fragment
        android:id="@+id/map"
        android:name="com.google.android.gms.maps.SupportMapFragment"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        />
    <!-- <TextView
         android:id="@+id/text"
         android:layout_width="match_parent"
         android:layout_height="match_parent"></TextView>-->
    <androidx.cardview.widget.CardView
        app:cardCornerRadius="35dp"
        android:visibility="gone"
        android:id="@+id/addhazards"
        android:layout_marginRight="25dp"
        android:layout_marginBottom="100dp"
        android:layout_gravity="bottom|end"
        android:layout_width="60dp"
        android:layout_height="60dp">
        <ImageView
            android:tint="@color/black"
            android:layout_gravity="center"
            android:src="@drawable/add"
            android:layout_width="25dp"
            android:layout_height="25dp"></ImageView>
    </androidx.cardview.widget.CardView>
    <androidx.cardview.widget.CardView
        app:cardBackgroundColor="@color/white"
        app:cardCornerRadius="35dp"
        android:id="@+id/stop"
        android:visibility="gone"
        android:layout_margin="20dp"
        android:layout_gravity="bottom|end"
        android:layout_width="70dp"
        android:layout_height="70dp">
        <ImageView
            android:tint="@color/black"
            android:layout_gravity="center"
            android:src="@drawable/stop"
            android:layout_width="26dp"
            android:layout_height="26dp"></ImageView>
    </androidx.cardview.widget.CardView>
    <androidx.cardview.widget.CardView
        app:cardBackgroundColor="@color/black"
        app:cardCornerRadius="35dp"

        android:id="@+id/navigation"
        android:layout_margin="20dp"
        android:layout_gravity="bottom|end"
        android:layout_width="70dp"
        android:layout_height="70dp">
        <ImageView
            android:tint="@color/white"
            android:layout_gravity="center"
            android:src="@drawable/navigation"
            android:layout_width="26dp"
            android:layout_height="26dp"></ImageView>
    </androidx.cardview.widget.CardView>
    <androidx.cardview.widget.CardView
        app:cardBackgroundColor="@color/white"
        app:cardCornerRadius="8dp"
        android:id="@+id/menu_btn_bottom_sheet"
        android:layout_margin="25dp"
        android:layout_gravity="bottom|start"
        android:layout_width="50dp"
        android:layout_height="50dp">
        <ImageView
            android:layout_gravity="center"
            android:src="@drawable/ic_menu"
            android:layout_width="30dp"
            android:layout_height="30dp"></ImageView>
    </androidx.cardview.widget.CardView>


</androidx.coordinatorlayout.widget.CoordinatorLayout>